########################################################################################################################
##Author:Vineeth/Ishan
##
##Desc  :Remove the Big sized File More than 1 MB
##
##Notes :1048576 is 1MB
##      :No Checks added wen file not present
##      :Run it only One time!!
##      : Logs are captured in /var/log/messages
##Date  :28/Nov/2011
#########################################################################################################################

#!/bin/bash

ret=`/bin/mkdir -p /nn/patches/CPULoadLogs 2>&1`
if [ -d /nn/patches/CPULoadLogs ]
then
filename=/var/log/CPULoad.log
filesize=$(stat -c%s "$filename")
/usr/bin/logger "[CPULoadLog] : Size of CPULoadLog file is $filesize"
if [ $filesize -gt 1048576 ]
then
   /usr/bin/logger "[CPULoadLog] : Size of CPULoadLog increased more that 1MB so need to move"
   /bin/mv -f  $filename /nn/patches/CPULoadLogs
   /usr/bin/logger "[CPULoadLog] : CPULoad.log was moved"
else
   /usr/bin/logger "[CPULoadLog] : CPULoad.log was not moved"
fi
else
/usr/bin/logger "[CPULoadLog]: Error while creating a directory client $ret"
exit 1
fi

retvalue=`/bin/mkdir -p /nn/patches/CallPilotDesktopMessaging 2>&1`
if [ -d /nn/patches/CallPilotDesktopMessaging ];
then
/usr/bin/logger "[CPULoadLog]: CallPilotDesktopMessaging exe  transfer start"
/bin/mv /srv/www/apps/public/CallPilotDesktopMessaging.exe /nn/patches/CallPilotDesktopMessaging
/bin/ln -s /nn/patches/CallPilotDesktopMessaging/CallPilotDesktopMessaging.exe /srv/www/apps/public/CallPilotDesktopMessaging.exe
/usr/bin/logger "[CPULoadLog]:  CallPilotDesktopMessaging exe moved and link is created"
/usr/bin/logger "[CPULoadLog]: CallPilotDesktopMessagingIJSG exe  transfer start"
/bin/mv /srv/www/apps/public/CallPilotDesktopMessagingIJSG.exe /nn/patches/CallPilotDesktopMessaging
/bin/ln -s /nn/patches/CallPilotDesktopMessaging/CallPilotDesktopMessagingIJSG.exe /srv/www/apps/public/CallPilotDesktopMessagingIJSG.exe
/usr/bin/logger "[CPULoadLog]:  CallPilotDesktopMessagingIJSG exe moved and link is created"
else
/usr/bin/logger "[CPULoadLog]: Error while creating a directory CallPilotDesktopMessaging $retvalue"
exit 1
fi
/usr/bin/logger "[CPULoadLog]: Successfully transferred CallPilotDesktopMessaging.exe and CallPilotDesktopMessagingIJSG.exe"



returnvalue=`/bin/mkdir -p /nn/patches/Docs 2>&1`
if [ -d /nn/patches/Docs ];
then 
/usr/bin/logger "[rootfs]: Starting Document transfer"
# Move every Document from /srv/ww/docs/public to the path /nn/patches/Docs 
for entry in /srv/www/docs/public/*
do
	/bin/mv -f  $entry  /nn/patches/Docs
/usr/bin/logger "[rootfs]: Document $entry transferred"
done
# Creates a symbolic link
for value in /nn/patches/Docs/*
do
	/bin/ln -s  $value /srv/www/docs/public
done
/usr/bin/logger "[rootfs]: Document transfer complete"
/usr/bin/logger "[rootfs]: Success"
else
/usr/bin/logger "[rootfs]: Error while creating a directory Docs $returnvalue"
exit 1
fi

returnval=`/bin/mkdir -p /nn/patches/client 2>&1`
if [ -d /nn/patches/client ];
then
/usr/bin/logger "[rootfs]: BCM Element Manager transfer start"
/bin/mv /srv/www/apps/private/BusinessElementMgrInstaller.exe /nn/patches/client
/bin/ln -s /nn/patches/client/BusinessElementMgrInstaller.exe  /srv/www/apps/private/BusinessElementMgrInstaller.exe
/usr/bin/logger "[rootfs]: BCM Element manager exe moved and link is created"
else
/usr/bin/logger "[rootfs]: Error while creating a directory client $returnval"
exit 1
fi
/usr/bin/logger "[rootfs]: Successfully transferred BCM Element manager and the documents"

# Move Dump folders to another folder to free some disk space

rtrnvalue=`/bin/mkdir -p /nn/patches/Dumps 2>&1`
if [ -d /nn/patches/Dumps ]
then 
/usr/bin/logger "[Dump]: Starting Dumps transfer"
# Move every Folder from /var/log/dump to the path /nn/patches/Dumps 
for entry in /var/log/dump/*
do
	/bin/mv -f  $entry  /nn/patches/Dumps
/usr/bin/logger "[Dump]: Dump file $entry transferred"
done
/usr/bin/logger "[Dump]: Successfully transferred Dump files"
else
/usr/bin/logger "[Dump]: Error while creating a directory Docs $rtrnvalue"
exit 1
fi
if [ -f /nn/patches/Dumps/bounds ]
then
/bin/mv -f /nn/patches/Dumps/bounds  /var/log/dump
else
/usr/bin/logger "[Dump]:Not able to move bounds file"
fi
exit 0

